Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network4.0.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
4.0.0.0
Broadcast address
4.31.255.255
First usable
4.0.0.1
Last usable
4.31.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Public public
Old class
A (default /8)
As numbers
Hex 04000000 · Integer 67108864 to 69206015
Reverse DNS zones
0.4.in-addr.arpa
1.4.in-addr.arpa
2.4.in-addr.arpa
3.4.in-addr.arpa
4.4.in-addr.arpa
5.4.in-addr.arpa
6.4.in-addr.arpa
7.4.in-addr.arpa
8.4.in-addr.arpa
9.4.in-addr.arpa
10.4.in-addr.arpa
11.4.in-addr.arpa
12.4.in-addr.arpa
13.4.in-addr.arpa
14.4.in-addr.arpa
15.4.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000100.00000000.00000000.000000004.0.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network00000100.00000000.00000000.000000004.0.0.0
Broadcast00000100.00011111.11111111.111111114.31.255.255
Split into smaller subnets/17

4.0.0.0/11 makes 64 subnets of /17.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
14.0.0.0/174.0.0.1 to 4.0.127.2544.0.127.25532,766
24.0.128.0/174.0.128.1 to 4.0.255.2544.0.255.25532,766
34.1.0.0/174.1.0.1 to 4.1.127.2544.1.127.25532,766
44.1.128.0/174.1.128.1 to 4.1.255.2544.1.255.25532,766
54.2.0.0/174.2.0.1 to 4.2.127.2544.2.127.25532,766
64.2.128.0/174.2.128.1 to 4.2.255.2544.2.255.25532,766
74.3.0.0/174.3.0.1 to 4.3.127.2544.3.127.25532,766
84.3.128.0/174.3.128.1 to 4.3.255.2544.3.255.25532,766
94.4.0.0/174.4.0.1 to 4.4.127.2544.4.127.25532,766
104.4.128.0/174.4.128.1 to 4.4.255.2544.4.255.25532,766
114.5.0.0/174.5.0.1 to 4.5.127.2544.5.127.25532,766
124.5.128.0/174.5.128.1 to 4.5.255.2544.5.255.25532,766
134.6.0.0/174.6.0.1 to 4.6.127.2544.6.127.25532,766
144.6.128.0/174.6.128.1 to 4.6.255.2544.6.255.25532,766
154.7.0.0/174.7.0.1 to 4.7.127.2544.7.127.25532,766
164.7.128.0/174.7.128.1 to 4.7.255.2544.7.255.25532,766
174.8.0.0/174.8.0.1 to 4.8.127.2544.8.127.25532,766
184.8.128.0/174.8.128.1 to 4.8.255.2544.8.255.25532,766
194.9.0.0/174.9.0.1 to 4.9.127.2544.9.127.25532,766
204.9.128.0/174.9.128.1 to 4.9.255.2544.9.255.25532,766
214.10.0.0/174.10.0.1 to 4.10.127.2544.10.127.25532,766
224.10.128.0/174.10.128.1 to 4.10.255.2544.10.255.25532,766
234.11.0.0/174.11.0.1 to 4.11.127.2544.11.127.25532,766
244.11.128.0/174.11.128.1 to 4.11.255.2544.11.255.25532,766
254.12.0.0/174.12.0.1 to 4.12.127.2544.12.127.25532,766
264.12.128.0/174.12.128.1 to 4.12.255.2544.12.255.25532,766
274.13.0.0/174.13.0.1 to 4.13.127.2544.13.127.25532,766
284.13.128.0/174.13.128.1 to 4.13.255.2544.13.255.25532,766
294.14.0.0/174.14.0.1 to 4.14.127.2544.14.127.25532,766
304.14.128.0/174.14.128.1 to 4.14.255.2544.14.255.25532,766
314.15.0.0/174.15.0.1 to 4.15.127.2544.15.127.25532,766
324.15.128.0/174.15.128.1 to 4.15.255.2544.15.255.25532,766
334.16.0.0/174.16.0.1 to 4.16.127.2544.16.127.25532,766
344.16.128.0/174.16.128.1 to 4.16.255.2544.16.255.25532,766
354.17.0.0/174.17.0.1 to 4.17.127.2544.17.127.25532,766
364.17.128.0/174.17.128.1 to 4.17.255.2544.17.255.25532,766
374.18.0.0/174.18.0.1 to 4.18.127.2544.18.127.25532,766
384.18.128.0/174.18.128.1 to 4.18.255.2544.18.255.25532,766
394.19.0.0/174.19.0.1 to 4.19.127.2544.19.127.25532,766
404.19.128.0/174.19.128.1 to 4.19.255.2544.19.255.25532,766
414.20.0.0/174.20.0.1 to 4.20.127.2544.20.127.25532,766
424.20.128.0/174.20.128.1 to 4.20.255.2544.20.255.25532,766
434.21.0.0/174.21.0.1 to 4.21.127.2544.21.127.25532,766
444.21.128.0/174.21.128.1 to 4.21.255.2544.21.255.25532,766
454.22.0.0/174.22.0.1 to 4.22.127.2544.22.127.25532,766
464.22.128.0/174.22.128.1 to 4.22.255.2544.22.255.25532,766
474.23.0.0/174.23.0.1 to 4.23.127.2544.23.127.25532,766
484.23.128.0/174.23.128.1 to 4.23.255.2544.23.255.25532,766
494.24.0.0/174.24.0.1 to 4.24.127.2544.24.127.25532,766
504.24.128.0/174.24.128.1 to 4.24.255.2544.24.255.25532,766
514.25.0.0/174.25.0.1 to 4.25.127.2544.25.127.25532,766
524.25.128.0/174.25.128.1 to 4.25.255.2544.25.255.25532,766
534.26.0.0/174.26.0.1 to 4.26.127.2544.26.127.25532,766
544.26.128.0/174.26.128.1 to 4.26.255.2544.26.255.25532,766
554.27.0.0/174.27.0.1 to 4.27.127.2544.27.127.25532,766
564.27.128.0/174.27.128.1 to 4.27.255.2544.27.255.25532,766
574.28.0.0/174.28.0.1 to 4.28.127.2544.28.127.25532,766
584.28.128.0/174.28.128.1 to 4.28.255.2544.28.255.25532,766
594.29.0.0/174.29.0.1 to 4.29.127.2544.29.127.25532,766
604.29.128.0/174.29.128.1 to 4.29.255.2544.29.255.25532,766
614.30.0.0/174.30.0.1 to 4.30.127.2544.30.127.25532,766
624.30.128.0/174.30.128.1 to 4.30.255.2544.30.255.25532,766
634.31.0.0/174.31.0.1 to 4.31.127.2544.31.127.25532,766
644.31.128.0/174.31.128.1 to 4.31.255.2544.31.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses